﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" indent="yes" />

<xsl:template match="/">
	<xsl:apply-templates select="each-analyzed-data"/>
</xsl:template>

<xsl:template match="each-analyzed-data">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="@data-set-name"/> - <xsl:value-of select="@event-name"/></title>
		</head>
		<body>
			<h3><xsl:value-of select="@data-set-name"/></h3>
			<table border="0">
				<xsl:for-each select="runner">
					<tr>
						<td align="right"><b><xsl:value-of select="@rank"/></b></td>
						<td width="20" align="center"><xsl:value-of select="@seed"/></td>
						<td nowrap="nowrap"><b><xsl:value-of select="@runner-name"/></b></td>
						<td width="90" align="right"><b><xsl:value-of select="@result"/></b></td>
						<td width="20" align="right"></td>
						<xsl:for-each select="lap">
							<td width="4"></td>
							<td align="right"><xsl:value-of select="@lap-time"/></td>
							<td align="right"><xsl:value-of select="@lap-rank"/></td>
						</xsl:for-each>
					</tr>
					<tr>
						<td></td>
						<td></td>
						<td nowrap="nowrap"><xsl:value-of select="@club-name"/></td>
						<td></td>
						<td></td>
						<xsl:for-each select="lap">
							<td width="4"></td>
							<td align="right"><xsl:value-of select="@split-time"/></td>
							<td align="right"><xsl:value-of select="@split-rank"/></td>
						</xsl:for-each>
					</tr>
					<tr>
					</tr>
				</xsl:for-each>
			</table>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>
