﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" indent="yes" />

<xsl:template match="/">
	<xsl:apply-templates select="each-analyzed-data"/>
</xsl:template>

<xsl:template match="each-analyzed-data">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="@data-set-name"/> - <xsl:value-of select="@event-name" /></title>
		</head>
		<body>
			<h3><xsl:value-of select="@data-set-name" /></h3>
			<table border="0">
				<xsl:for-each select="runner">
					<tr>
						<td align="right"><xsl:value-of select="@rank" /></td>
						<td width="20" align="center"><xsl:value-of select="@seed" /></td>
						<td width="120"><xsl:value-of select="@runner-name" /></td>
						<td width="90" align="right"><xsl:value-of select="@result" /></td>
						<td width="20" align="right"> </td>
						<td><xsl:value-of select="@club-name" /></td>
					</tr>
				</xsl:for-each>
			</table>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>
